Project

General

Profile

Statistics
| Branch: | Tag: | Revision:

cdmlib / pom.xml @ 6e0b3ca8

History | View | Annotate | Download (58.6 KB)

1
<?xml version="1.0" encoding="UTF-8"?> 
2
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
3
  <modelVersion>4.0.0</modelVersion>
4
  <groupId>eu.etaxonomy</groupId>
5
  <artifactId>cdmlib-parent</artifactId>
6
  <version>5.18.0-SNAPSHOT</version>
7
  <name>CDM Library</name>
8
  <description>The Java implementation of the Common Data Model (CDM), the data model for EDIT's internet platform for cybertaxonomy.</description>
9
  <url>http://cybertaxonomy.eu/cdmlib/</url>
10
  <inceptionYear>2007</inceptionYear>
11
  <packaging>pom</packaging>
12
  <modules>
13
    <module>cdmlib-commons</module>
14
    <module>cdmlib-model</module>
15
        <module>cdmlib-db</module>
16
    <module>cdmlib-test</module>
17
    <module>cdmlib-persistence</module>
18
    <module>cdmlib-services</module>
19
    <module>cdmlib-ext</module>
20
    <module>cdmlib-io</module>
21
    <module>cdmlib-remote</module>
22
    <module>cdmlib-print</module>
23
    <module>cdmlib-remote-webapp</module>
24
    <module>cdmlib-cache</module>
25
  </modules>
26
  <properties>    
27
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
28
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
29
    <java.codelevel>1.8</java.codelevel>
30
    <spring.version>4.3.28.RELEASE</spring.version>                                 <!-- checked 2020-08, further upgrade possible -->
31
    <spring-security.version>4.2.18.RELEASE</spring-security.version>               <!-- checked 2020-08, further upgrade possible -->
32
    <spring-security-oauth2.version>2.5.0.RELEASE</spring-security-oauth2.version>  <!-- checked 2020-08 -->
33
    <spring-cloud.version>1.1.3.RELEASE</spring-cloud.version>
34
        <hibernate.version>5.1.17.Final</hibernate.version>
35
        <hibernate-validator.version>6.1.5.Final</hibernate-validator.version>          <!-- checked 2020-08 -->
36
    <hibernate-search.version>5.5.2.Final</hibernate-search.version>
37
    <lucene.version>5.4.1</lucene.version>
38
        <unitils.version>3.4.6</unitils.version>
39
    <hsqldb.version>2.5.1</hsqldb.version>
40
    <httpcomponents.version>4.5.12</httpcomponents.version>
41
    <doxia.version>1.9.1</doxia.version>                <!-- checked 2020-08 -->
42
    <poi.version>4.1.2</poi.version>                    <!-- checked 2020-08 -->
43
    <jackson.version>2.11.2</jackson.version>           <!-- checked 2020-08 -->
44
        <commons-logging.version>1.2</commons-logging.version> <!-- checked 2020-08 -->
45
        <slf4j.version>1.7.30</slf4j.version>               <!-- checked 2020-08 -->
46
        <jaxb.version>2.3.3</jaxb.version>                 <!-- checked 2020-08, there is a newer version 3.0.0-MX, not checked if compatible -->
47
        <cglib.version>3.3.0</cglib.version>
48
        <aspectj.version>1.9.6</aspectj.version>            <!-- checked 2020-08 -->
49
        <geotools.version>23.2</geotools.version>           <!-- checked 2020-08 -->
50
    
51
    <javadoc.opts>-Xdoclint:none</javadoc.opts>         
52
  </properties>
53
  
54
  <scm>
55
    <connection>scm:git:https://dev.e-taxonomy.eu/git/cdmlib.git</connection>
56
    <developerConnection>scm:git:ssh://git@dev.e-taxonomy.eu/var/git/cdmlib.git</developerConnection>
57
    <url>https://dev.e-taxonomy.eu/gitweb/cdmlib.git/tree</url>
58
  </scm>
59
  
60
  <prerequisites>
61
    <maven>3.2.3</maven>
62
  </prerequisites>
63
  
64
    <mailingLists>
65
        <mailingList>
66
            <name>EDIT Platform Developers</name>
67
            <subscribe>
68
                https://lists.fu-berlin.de/listinfo/editplatformdevelopers#subscribe
69
            </subscribe>
70
            <unsubscribe>
71
                https://lists.fu-berlin.de/listinfo/editplatformdevelopers#options
72
            </unsubscribe>
73
        </mailingList>
74
        <mailingList>
75
            <name>EDIT User</name>
76
            <subscribe>
77
                https://lists.fu-berlin.de/listinfo/edituser#subscribe
78
            </subscribe>
79
            <unsubscribe>
80
                https://lists.fu-berlin.de/listinfo/edituser#options
81
            </unsubscribe>
82
        </mailingList>
83
    </mailingLists>
84
  <licenses>
85
    <license>
86
      <name>Mozilla Public License Version 1.1</name>
87
      <url>http://www.mozilla.org/MPL/MPL-1.1.html</url>
88
      <distribution>repo</distribution>
89
    </license>
90
  </licenses>
91
  <organization>
92
    <name>EDIT</name>
93
    <url>https://cybertaxonomy.eu/</url>
94
  </organization>
95
  <developers>
96
    <developer>
97
      <!-- your SVN account id please! -->
98
      <id>a.kohlbecker</id>
99
      <name>
100
                Andreas Kohlbecker
101
            </name>
102
      <email>a.kohlbecker [at] bgbm.org</email>
103
      <organization>
104
                Botanical Garden Botanical Museum Berlin
105
            </organization>
106
      <organizationUrl>http://www.bgbm.org/BioDivInf/</organizationUrl>
107
      <timezone>+1</timezone>
108
      <roles>
109
        <role>Architect</role>
110
        <role>Java Developer</role>
111
        <role>Release Manager</role>
112
      </roles>
113
      <url />
114
    </developer>
115
    <developer>
116
      <!-- your SVN account id please! -->
117
      <id>k.luther</id>
118
      <name>
119
                Katja Luther
120
            </name>
121
      <email>k.luther [at] bgbm.org</email>
122
      <organization>
123
                Botanical Garden Botanical Museum Berlin
124
            </organization>
125
      <organizationUrl>http://www.bgbm.org/BioDivInf/</organizationUrl>
126
      <timezone>+1</timezone>
127
      <roles>
128
        <role>Java Developer</role>
129
      </roles>
130
      <url />
131
    </developer>
132
    <developer>
133
      <!-- your SVN account id please! -->
134
      <id>a.mueller</id>
135
      <name>
136
                Andreas Müller
137
            </name>
138
      <email>a.mueller [at] bgbm.org</email>
139
      <organization>
140
                Botanical Garden Botanical Museum Berlin
141
            </organization>
142
      <organizationUrl>http://www.bgbm.org/BioDivInf/</organizationUrl>
143
      <timezone>+1</timezone>
144
      <roles>
145
        <role>Architect</role>
146
        <role>Java Developer</role>
147
        <role>Release Manager</role>
148
      </roles>
149
      <url />
150
    </developer>
151
           <developer>
152
      <!-- your SVN account id please! -->
153
      <id>p.plitzner</id>
154
      <name>
155
               Patrick Plitzner
156
            </name>
157
      <email>p.plitzner [at] bgbm.org</email>
158
      <organization>
159
                Botanical Garden Botanical Museum Berlin
160
            </organization>
161
      <organizationUrl>http://www.bgbm.org/BioDivInf/</organizationUrl>
162
      <timezone>+1</timezone>
163
      <roles>
164
        <role>Java Developer</role>
165
      </roles>
166
      <url />
167
    </developer>
168
  </developers>
169
  <!--contributors> <contributor> <name>Test-Contributor</name> </contributor> 
170
    </contributors -->
171
  <issueManagement>
172
    <system>Redmine</system>
173
    <url>https://dev.e-taxonomy.eu/redmine/projects/edit</url>
174
  </issueManagement>
175
  <ciManagement>
176
    <system>Jenkins</system>
177
    <url>http://int.e-taxonomy.eu/jenkins</url>
178
  </ciManagement>
179
  <!-- **** REPOSITORIES **** -->
180
  <profiles>
181
    <profile>
182
      <id>local-repository</id>
183
      <activation>
184
        <property>
185
          <name>localrepo</name>
186
        </property>
187
      </activation>
188
      <repositories>
189
        <repository>
190
          <id>EditLocalRepository</id>
191
          <url>file://${localrepo}/eu/etaxonomy/</url>
192
          <releases>
193
            <enabled>false</enabled>
194
            <updatePolicy>always</updatePolicy>
195
          </releases>
196
          <snapshots>
197
            <enabled>true</enabled>
198
            <updatePolicy>always</updatePolicy>
199
          </snapshots>
200
        </repository>
201
      </repositories>
202
    </profile>
203
  </profiles>
204
  <repositories>
205
    <!-- the cdm internal repository -->
206
    <repository>
207
      <id>EditRepository</id>
208
      <url>http://cybertaxonomy.eu/mavenrepo/</url>
209
    </repository>
210
    <!-- apache incubating repository -->
211
    <repository>
212
      <id>ApacheIncubating</id>
213
      <url>http://people.apache.org/repo/m2-incubating-repository/</url>
214
    </repository>
215
    <!-- Neccessary for hibernate-envers -->
216
    <repository>
217
  <!--    <releases>
218
        <enabled>true</enabled>
219
        <updatePolicy>always</updatePolicy>
220
        <checksumPolicy>warn</checksumPolicy>
221
      </releases>
222
      <snapshots>
223
        <enabled>false</enabled>
224
        <updatePolicy>never</updatePolicy>
225
        <checksumPolicy>fail</checksumPolicy>
226
      </snapshots>   -->
227
      <id>jboss-repository</id>
228
      <name>JBoss Repository</name>
229
      <url>https://repository.jboss.org</url>
230
    </repository>
231
    <repository>
232
            <id>OSGeo Repository</id>
233
            <url>https://repo.osgeo.org/repository/release/</url>
234
    </repository>
235
  </repositories>
236
  <!-- **** PLUGINS **** -->
237
  <build>
238
    <plugins>
239
      <plugin>
240
        <groupId>org.apache.maven.plugins</groupId>
241
        <artifactId>maven-compiler-plugin</artifactId>
242
                <version>2.3.2</version> 
243
        <configuration>
244
          <source>${java.codelevel}</source>
245
          <target>${java.codelevel}</target>
246
          <encoding>${project.build.sourceEncoding}</encoding>  <!-- necessary? should be covered by project. properties source encoding -->
247
                  <!-- to increase stacksize see #6404 -->
248
        </configuration>
249
      </plugin>
250
      <plugin>
251
        <groupId>org.apache.maven.plugins</groupId>
252
        <artifactId>maven-surefire-plugin</artifactId>
253
        <version>3.0.0-M5</version>  <!-- updated 2020-09 -->
254
        <configuration>
255
          <argLine>-Xmx512M -Dfile.encoding=${project.build.sourceEncoding}</argLine>
256
          <runOrder>alphabetical</runOrder>
257
          <includes>
258
            <include>**/*Test.java</include>
259
          </includes>
260
        </configuration>
261
      </plugin>
262
      <plugin>
263
          <groupId>org.apache.maven.plugins</groupId>
264
          <artifactId>maven-resources-plugin</artifactId>
265
          <version>3.0.2</version>
266
          <configuration>
267
              <encoding>${project.build.sourceEncoding}</encoding>
268
          </configuration>
269
      </plugin>
270
      <plugin>
271
        <groupId>org.codehaus.mojo</groupId>
272
        <artifactId>buildnumber-maven-plugin</artifactId>
273
        <version>1.0-beta-3</version>
274
        <executions>
275
          <execution>
276
            <!--<phase>deploy</phase> -->
277
            <goals>
278
              <goal>create</goal>
279
            </goals>
280
          </execution>
281
        </executions>
282
        <configuration>
283
          <doCheck>false</doCheck>
284
          <!-- Only create the build number if there are no local modifications -->
285
          <doUpdate>false</doUpdate>
286
          <!-- automatically update the local svn copy -->
287
        </configuration>
288
      </plugin>
289
      <plugin>
290
        <groupId>org.apache.maven.plugins</groupId>
291
        <artifactId>maven-site-plugin</artifactId>
292
        <version>3.3</version>
293
        <configuration>
294
          <locales>en</locales>
295
          <outputEncoding>UTF-8</outputEncoding><!-- necessary? should be covered by project. properties output encoding -->
296
          <!-- chmod: not not use chmod, rather adapt the umask of the user 
297
            at the server to which the site is deployed -->
298
          <chmod>false</chmod>
299
        </configuration>
300
      </plugin>
301
      <plugin>
302
        <groupId>org.apache.maven.plugins</groupId>
303
        <artifactId>maven-source-plugin</artifactId>
304
        <version>2.1.2</version>
305
        <executions>
306
          <execution>
307
            <id>attach-sources</id>
308
            <phase>verify</phase>
309
            <goals>
310
              <goal>jar</goal>
311
            </goals>
312
          </execution>
313
        </executions>
314
      </plugin>
315
      <plugin>
316
        <groupId>org.apache.maven.plugins</groupId>
317
        <artifactId>maven-javadoc-plugin</artifactId>
318
        <version>2.7</version>
319
        <configuration>
320
          <stylesheet>maven</stylesheet>
321
          <quiet>true</quiet>
322
          <detectLinks>true</detectLinks>
323
          <failOnError>false</failOnError>
324
          <additionalparam>${javadoc.opts}</additionalparam>
325
        </configuration>
326
        <executions>
327
          <execution>
328
            <id>aggregate</id>
329
            <goals>
330
              <goal>aggregate</goal>
331
            </goals>
332
            <phase>site</phase>
333
          </execution>
334
        </executions>
335
      </plugin>
336
      <plugin>
337
        <groupId>org.apache.maven.plugins</groupId>
338
        <artifactId>maven-eclipse-plugin</artifactId>
339
        <version>2.9</version>
340
        <configuration>
341
          <downloadSources>true</downloadSources>
342
          <downloadJavadocs>true</downloadJavadocs>
343
        </configuration>
344
      </plugin>
345
      <plugin>
346
        <groupId>com.agilejava.docbkx</groupId>
347
        <artifactId>docbkx-maven-plugin</artifactId>
348
        <version>2.0.9</version>
349
        <executions>
350
          <execution>
351
            <goals>
352
              <goal>generate-html</goal>
353
              <goal>generate-pdf</goal>
354
            </goals>
355
            <phase>pre-site</phase>
356
          </execution>
357
        </executions>
358
        <dependencies>
359
          <dependency>
360
            <groupId>org.docbook</groupId>
361
            <artifactId>docbook-xml</artifactId>
362
            <version>4.4</version>
363
            <scope>runtime</scope>
364
          </dependency>
365
        </dependencies>
366
        <configuration>
367
          <includes>ReferenceDocumentation.xml</includes>
368
          <chunkedOutput>true</chunkedOutput>
369
          <htmlStylesheet>resources/css/html.css</htmlStylesheet>
370
          <xincludeSupported>true</xincludeSupported>
371
          <!--<htmlCustomization>src/docbkx/resources/xsl/html_chunk.xsl</htmlCustomization> -->
372
          <!-- if anyone can get the xsl-fo customization to work properly, 
373
            then by all means use it <foCustomization>src/docbkx/resources/xsl/fopdf.xsl</foCustomization> -->
374
          <entities>
375
            <entity>
376
              <name>version</name>
377
              <value>${project.version}</value>
378
            </entity>
379
          </entities>
380
          <!--We want the final documentation and the required resources 
381
            to end up in the right place -->
382
          <postProcess>
383
            <copy todir="target/site/reference">
384
              <fileset dir="target/docbkx">
385
                <include name="**/*.html" />
386
                <include name="**/*.pdf" />
387
              </fileset>
388
            </copy>
389
            <copy todir="target/site/reference/html">
390
              <fileset dir="src/docbkx">
391
                <include name="**/*.css" />
392
                <include name="**/*.png" />
393
                <include name="**/*.gif" />
394
                <include name="**/*.jpg" />
395
              </fileset>
396
            </copy>
397
          </postProcess>
398
        </configuration>
399
      </plugin>
400
      <plugin>
401
        <groupId>org.codehaus.mojo</groupId>
402
        <artifactId>wagon-maven-plugin</artifactId>
403
        <version>1.0-beta-3</version>
404
        <configuration>
405
          <fromDir>${project.build.directory}/docbkx/</fromDir>
406
          <includes>**/*</includes>
407
          <excludes />
408
          <url>scpexe://cybertaxonomy.eu</url>
409
          <serverId>cybertaxonomy.eu</serverId>
410
          <toDir>var/www/wp5.e-taxonomy.eu/cdmlib/reference/${project.version}</toDir>
411
        </configuration>
412
        <executions>
413
          <execution>
414
            <id>upload-reference-documentation</id>
415
            <phase>site-deploy</phase>
416
            <goals>
417
              <goal>upload</goal>
418
            </goals>
419
          </execution>
420
        </executions>
421
      </plugin>
422
      <plugin>
423
        <groupId>org.apache.maven.plugins</groupId>
424
        <artifactId>maven-release-plugin</artifactId>
425
        <version>2.1</version>
426
        <configuration>
427
          <allowTimestampedSnapshots>true</allowTimestampedSnapshots>
428
          <autoVersionSubmodules>true</autoVersionSubmodules>
429
          <preparationGoals>clean verify install</preparationGoals>
430
          <goals>deploy</goals><!-- skipping site-deploy by explicitly configuring 
431
            the goal here -->
432
          <tagBase>http://dev.e-taxonomy.eu/svn/tags/cdmlib</tagBase>
433
        </configuration>
434
      </plugin>
435
      <plugin>
436
        <groupId>external.atlassian.jgitflow</groupId>
437
        <artifactId>jgitflow-maven-plugin</artifactId>
438
        <version>1.0-m6</version>
439
        <configuration>
440
          <pushHotfixes>true</pushHotfixes>
441
          <pushReleases>true</pushReleases> 
442
          <enableSshAgent>true</enableSshAgent>
443
          <allowSnapshots>true</allowSnapshots>
444
          <allowUntracked>true</allowUntracked>
445
        </configuration>
446
        <dependencies>
447
          <!-- 
448
                upgrading dependency jsch.agent.version of jgit-flow plugin to 0.1.53 
449
                in order have ssl key exchange algorithms compatible with openssh 6.7 
450
             -->
451
          <dependency>
452
            <groupId>com.jcraft</groupId>
453
            <artifactId>jsch</artifactId>
454
            <version>0.1.53</version>
455
          </dependency>
456
        </dependencies>
457
      </plugin>
458
      <plugin>
459
        <groupId>org.apache.maven.plugins</groupId>
460
        <artifactId>maven-enforcer-plugin</artifactId>
461
        <version>3.0.0-M2</version>
462
        <executions>
463
          <execution>
464
            <id>enforce</id>
465
            <configuration>
466
              <fail>true</fail>
467
              <skip>false</skip>
468
              <rules>
469
                <dependencyConvergence />                
470
                                <requireMavenVersion>
471
                  <version>[3.6.0,)</version>
472
                </requireMavenVersion>
473
              </rules>
474
            </configuration>
475
            <goals>
476
              <goal>enforce</goal>
477
              <!-- Binds by default to the lifecycle phase: validate -->
478
            </goals>
479
          </execution>
480
        </executions>
481
      </plugin>
482
    </plugins>
483
    <extensions>
484
      <extension>
485
        <groupId>org.apache.maven.wagon</groupId>
486
        <artifactId>wagon-scm</artifactId>
487
        <version>1.0-beta-6</version>
488
      </extension>
489
      <extension>
490
        <groupId>org.apache.maven.wagon</groupId>
491
        <artifactId>wagon-ssh</artifactId>
492
        <version>1.0-beta-6</version>
493
      </extension>
494
      <extension>
495
        <groupId>org.apache.maven.wagon</groupId>
496
        <artifactId>wagon-ssh-external</artifactId>
497
        <version>1.0-beta-6</version>
498
      </extension>
499
      <extension>
500
        <groupId>org.apache.maven.scm</groupId>
501
        <artifactId>maven-scm-manager-plexus</artifactId>
502
        <version>1.0</version>
503
      </extension>
504
      <extension>
505
        <groupId>org.apache.maven.scm</groupId>
506
        <artifactId>maven-scm-provider-svnexe</artifactId>
507
        <version>1.0</version>
508
      </extension>
509
      <!-- WebDAV plugin to upload snapshots -->
510
      <extension>
511
        <groupId>org.apache.maven.wagon</groupId>
512
        <artifactId>wagon-webdav</artifactId>
513
        <version>1.0-beta-2</version>
514
      </extension>
515
    </extensions>
516
    <pluginManagement>
517
      <plugins>
518
        <plugin>
519
          <groupId>org.apache.maven.plugins</groupId>
520
          <artifactId>maven-antrun-plugin</artifactId>
521
          <version>1.7</version>
522
        </plugin>
523
      </plugins>  
524
    </pluginManagement>
525
  </build>
526
  <reporting>
527
    <plugins>
528
      <plugin>
529
        <!-- you will want to start by publishing your classes' Javadocs -->
530
        <groupId>org.apache.maven.plugins</groupId>
531
        <artifactId>maven-javadoc-plugin</artifactId>
532
        <version>2.7</version>
533
        <configuration>
534
          <detectLinks>true</detectLinks>
535
          <additionalparam>${javadoc.opts}</additionalparam>
536
        </configuration>
537
      </plugin>
538
      <plugin>
539
        <!-- this will generate an indexed and cross-referenced HTML version 
540
          of your source code -->
541
        <groupId>org.apache.maven.plugins</groupId>
542
        <artifactId>maven-jxr-plugin</artifactId>
543
        <version>2.2</version>
544
      </plugin>
545
      <plugin>
546
        <!-- if you use @todo tags to remind you of things to be done (which 
547
          is a good coding practice), the taglist report will generate a list of all 
548
          the items marked @todo or TODO -->
549
        <groupId>org.codehaus.mojo</groupId>
550
        <artifactId>taglist-maven-plugin</artifactId>
551
        <version>2.4</version>
552
      </plugin>
553
      <plugin>
554
        <!-- Test coverage can be a useful indication of the quality of your 
555
          unit tests. It basically tells you how much of your code is actually run 
556
          by your unit tests, which, in turn, can give you a good idea of the tests' 
557
          quality -->
558
        <groupId>org.codehaus.mojo</groupId>
559
        <artifactId>cobertura-maven-plugin</artifactId>
560
        <version>2.4</version>
561
        <!-- <executions> <execution> <id>clean</id> <phase>clean</phase> 
562
          <goals> <goal>clean</goal> </goals> </execution> </executions> -->
563
      </plugin>
564
      <!-- -->
565
      <plugin>
566
        <groupId>org.apache.maven.plugins</groupId>
567
        <artifactId>maven-project-info-reports-plugin</artifactId>
568
        <version>2.8</version>
569
        <configuration>
570
          <!-- when the dependencyLocations option is enabled maven will 
571
            determine if resources are located within a given repository. If that repository 
572
            doesn’t exist anyomore or is just terribly slow and will produce tons of 
573
            line in the log starting with: '[ERROR] Unable to determine if resource ...' 
574
            This will slow down site build drastically, therefore we disable this option 
575
            here. -->
576
          <dependencyLocationsEnabled>false</dependencyLocationsEnabled>
577
        </configuration>
578
        <!-- just the deafault <reportSets> <reportSet> <reports> <report>dependencies</report> 
579
          <report>project-team</report> <report>mailing-list</report> <report>cim</report> 
580
          <report>issue-tracking</report> <report>license</report> <report>scm</report> 
581
          </reports> </reportSet> </reportSets> -->
582
      </plugin>
583
      <!-- The changes-maven-plugin plug-in uses a special XML file (src/changes/changes.xml) 
584
        to track releases and changes in each release -->
585
      <plugin>
586
        <groupId>org.apache.maven.plugins</groupId>
587
        <artifactId>maven-changes-plugin</artifactId>
588
        <version>2.3</version>
589
        <configuration>
590
          <issueLinkTemplatePerSystem>
591
            <default>%URL%/ticket/%ISSUE%</default>
592
          </issueLinkTemplatePerSystem>
593
        </configuration>
594
        <reportSets>
595
          <reportSet>
596
            <reports>
597
              <report>changes-report</report>
598
            </reports>
599
          </reportSet>
600
        </reportSets>
601
      </plugin>
602
      <!-- The changelog plug-in generates a nice report describing which 
603
        files have been changed and by whom -->
604
      <!-- <plugin> <groupId>org.codehaus.mojo</groupId> <artifactId>changelog-maven-plugin</artifactId> 
605
        </plugin> -->
606
    </plugins>
607

608
  </reporting>
609
  <!-- DISTRIBUTION MANAGEMENT -->
610
  <distributionManagement>
611
    <site>
612
      <id>cybertaxonomy.eu</id>
613
      <name>CDM Library Website</name>
614
      <url>scpexe://cybertaxonomy.eu/var/www/wp5.e-taxonomy.eu/cdmlib/</url>
615
    </site>
616
    <repository>
617
      <uniqueVersion>false</uniqueVersion>
618
      <id>cybertaxonomy.eu</id>
619
      <name>Edit Maven Repository</name>
620
      <url>scpexe://cybertaxonomy.eu/var/www/wp5.e-taxonomy.eu/mavenrepo/</url>
621
      <layout>default</layout>
622
    </repository>
623
  </distributionManagement>
624
  <!-- **** DEPENDENCIES **** -->
625
  <dependencies>
626
    <dependency>
627
      <groupId>junit</groupId>
628
      <artifactId>junit</artifactId>
629
    </dependency>
630
    <dependency>
631
      <groupId>log4j</groupId>
632
      <artifactId>log4j</artifactId>
633
    </dependency>
634
  </dependencies>
635
  <dependencyManagement>
636
    <dependencies>
637
      <dependency>
638
        <groupId>eu.etaxonomy</groupId>
639
        <artifactId>cdmlib-commons</artifactId>
640
        <version>${project.version}</version>
641
      </dependency>
642
      <dependency>
643
        <groupId>eu.etaxonomy</groupId>
644
        <artifactId>cdmlib-model</artifactId>
645
        <version>${project.version}</version>
646
      </dependency>
647
      <dependency>
648
        <groupId>eu.etaxonomy</groupId>
649
        <artifactId>cdmlib-persistence</artifactId>
650
        <version>${project.version}</version>
651
      </dependency>
652
      <dependency>
653
        <groupId>eu.etaxonomy</groupId>
654
        <artifactId>cdmlib-services</artifactId>
655
        <version>${project.version}</version>
656
      </dependency>
657
      <dependency>
658
        <groupId>eu.etaxonomy</groupId>
659
        <artifactId>cdmlib-io</artifactId>
660
        <version>${project.version}</version>
661
      </dependency>
662
      <dependency>
663
        <groupId>eu.etaxonomy</groupId>
664
        <artifactId>cdmlib-remote</artifactId>
665
        <version>${project.version}</version>
666
      </dependency>
667
      <dependency>
668
        <groupId>eu.etaxonomy</groupId>
669
        <artifactId>cdmlib-remote-webapp</artifactId>
670
        <version>${project.version}</version>
671
      </dependency>
672
      <dependency>
673
        <groupId>eu.etaxonomy</groupId>
674
        <artifactId>cdm-server</artifactId>
675
        <version>${project.version}</version>
676
      </dependency>
677
      <dependency>
678
        <groupId>eu.etaxonomy</groupId>
679
        <artifactId>cdmlib-ext</artifactId>
680
        <version>${project.version}</version>
681
      </dependency>
682
      <dependency>
683
        <groupId>eu.etaxonomy</groupId>
684
        <artifactId>cdmlib-print</artifactId>
685
        <version>${project.version}</version>
686
      </dependency>
687
      
688
      <!--*********** JAXB********* -->
689
      <dependency>
690
        <groupId>javax.xml.bind</groupId>
691
        <artifactId>jaxb-api</artifactId>
692
        <version>2.3.1</version>
693
        <!-- checked 2020-08 -->
694
      </dependency>
695
      <dependency>
696
         <!-- dependency for jaxb-api -->
697
         <groupId>javax.activation</groupId>
698
         <artifactId>javax.activation-api</artifactId>
699
         <version>1.2.0</version>
700
         <!-- checked 2020-08 -->
701
      </dependency>
702
           <dependency>
703
                <groupId>org.glassfish.jaxb</groupId>
704
                <artifactId>jaxb-runtime</artifactId>
705
                <version>${jaxb.version}</version>
706
          </dependency>
707
          <dependency>
708
                <groupId>org.glassfish.jaxb</groupId>
709
                <artifactId>jaxb-jxc</artifactId>
710
                <version>${jaxb.version}</version>
711
          </dependency>
712
      <dependency>
713
          <!-- currently required as xsom references older version -->
714
          <groupId>com.sun.xml.bind.external</groupId>
715
          <artifactId>relaxng-datatype</artifactId>
716
          <version>${jaxb.version}</version>
717
      </dependency>
718
      <dependency>
719
          <!-- jaxb-runtime dependency -->
720
          <groupId>jakarta.activation</groupId>
721
          <artifactId>jakarta.activation-api</artifactId>
722
          <version>1.2.2</version>
723
      </dependency>
724
      <!--  JAB END -->
725
      
726
          <dependency>
727
            <!-- only for version management org.apache.ant:ant depends in different versions from 
728
             org.unitils:unitils-easymock:3.4.2 and org.glassfish.jaxb:jaxb-jxc:2.2.11 -->
729
            <groupId>org.apache.ant</groupId>
730
            <artifactId>ant</artifactId>
731
            <version>1.10.8</version>
732
          </dependency>
733
      <!-- ******* hibernate uses slf4j ******* -->
734
      <dependency>
735
        <groupId>org.slf4j</groupId>
736
        <artifactId>slf4j-api</artifactId>
737
        <version>${slf4j.version}</version>
738
      </dependency>
739
      <dependency>
740
        <groupId>org.slf4j</groupId>
741
        <artifactId>slf4j-log4j12</artifactId>
742
        <version>${slf4j.version}</version>
743
      </dependency>
744
          <dependency>
745
        <!-- try to generally exclude -nop as we try to use log4j12, this is done already for unitils -->
746
        <groupId>org.slf4j</groupId>
747
        <artifactId>slf4j-nop</artifactId>
748
        <version>${slf4j.version}</version>
749
      </dependency>
750
      <!-- ******* testing ******* -->
751
      <dependency>
752
        <groupId>junit</groupId>
753
        <artifactId>junit</artifactId>
754
        <version>4.13</version>
755
        <scope>test</scope>
756
      </dependency>
757
      <dependency>
758
        <groupId>com.carrotsearch</groupId>
759
        <artifactId>junit-benchmarks</artifactId>
760
        <version>0.7.2</version>
761
        <scope>test</scope>
762
      </dependency>
763
      <dependency>
764
        <groupId>org.unitils</groupId>
765
        <artifactId>unitils-core</artifactId>
766
        <version>${unitils.version}</version>
767
        <!-- <scope>test</scope> unscoped since we need this dependency at 
768
          compile time in persistence for H2DbSupport.java -->
769
      </dependency>
770
      <dependency>
771
        <groupId>org.unitils</groupId>
772
        <artifactId>unitils-database</artifactId>
773
        <version>${unitils.version}</version>
774
     <!--    <scope>test</scope>  -->
775
        <exclusions>
776
          <exclusion>
777
            <groupId>org.springframework</groupId>
778
            <artifactId>spring-jdbc</artifactId>
779
          </exclusion>
780
        </exclusions>
781
      </dependency>
782
      <dependency>
783
        <groupId>org.unitils</groupId>
784
        <artifactId>unitils-dbmaintainer</artifactId>
785
        <version>${unitils.version}</version>
786
     <!--    <scope>test</scope>  -->
787
        <exclusions>
788
          <exclusion>
789
            <groupId>org.hibernate</groupId>
790
            <artifactId>hibernate</artifactId>
791
          </exclusion>
792
          <exclusion>
793
            <groupId>org.slf4j</groupId>
794
            <artifactId>slf4j-nop</artifactId>
795
          </exclusion>
796
        </exclusions>
797
      </dependency>
798
      <dependency>
799
        <groupId>org.unitils</groupId>
800
        <artifactId>unitils-dbunit</artifactId>
801
        <version>${unitils.version}</version>
802
     <!--    <scope>test</scope>  -->
803
      </dependency>
804
      <dependency>
805
        <groupId>org.unitils</groupId>
806
        <artifactId>unitils-easymock</artifactId>
807
        <version>${unitils.version}</version>
808
     <!--    <scope>test</scope>  -->
809
      </dependency>
810
      <dependency>
811
        <groupId>org.unitils</groupId>
812
        <artifactId>unitils-mock</artifactId>
813
        <version>${unitils.version}</version>
814
     <!--    <scope>test</scope>  -->
815
      </dependency>
816
      <dependency>
817
        <groupId>org.unitils</groupId>
818
        <artifactId>unitils-inject</artifactId>
819
        <version>${unitils.version}</version>
820
     <!--    <scope>test</scope>  -->
821
      </dependency>
822
      <dependency>
823
        <groupId>org.unitils</groupId>
824
        <artifactId>unitils-orm</artifactId>
825
        <version>${unitils.version}</version>
826
     <!--    <scope>test</scope>  -->
827
        <exclusions>
828
          <exclusion>
829
            <groupId>javax.persistence</groupId>
830
            <artifactId>persistence-api</artifactId>
831
          </exclusion>
832
        </exclusions>
833
      </dependency>
834
      <dependency>
835
        <groupId>org.unitils</groupId>
836
        <artifactId>unitils-spring</artifactId>
837
        <version>${unitils.version}</version>
838
     <!--    <scope>test</scope>  -->
839
      </dependency>
840
      <dependency>
841
        <groupId>xmlunit</groupId>
842
        <artifactId>xmlunit</artifactId>
843
        <version>1.6</version>
844
     <!--    <scope>test</scope>  -->
845
      </dependency>
846
  <!--    <dependency>
847
        <groupId>org.dbunit</groupId>
848
        <artifactId>dbunit</artifactId>
849
        <version>2.4.9</version>  -->
850
     <!--    <scope>test</scope>  -->
851
  <!--    </dependency>   -->
852
      <!-- dependency of unitils-database, but with lower number there , 
853
        higher number needed for compatibility with current hibernate and Java 1.6 
854
        PreparedStatement -->
855
      <dependency>
856
        <groupId>commons-dbcp</groupId>
857
        <artifactId>commons-dbcp</artifactId>
858
        <version>1.4</version>
859
        <!-- <scope>test</scope> -->
860
      </dependency>
861
          <dependency>
862
                <groupId>eu.etaxonomy</groupId>
863
                <artifactId>cdmlib-test</artifactId>
864
     <!--    <scope>test</scope>  -->
865
                <version>${project.version}</version>
866
          </dependency>
867
      <!-- ******* aspect ******* -->
868
      <dependency>
869
        <groupId>org.aspectj</groupId>
870
        <artifactId>aspectjrt</artifactId>
871
        <version>${aspectj.version}</version>
872
      </dependency>
873
      <dependency>
874
        <groupId>org.aspectj</groupId>
875
        <artifactId>aspectjweaver</artifactId>
876
        <version>${aspectj.version}</version>
877
      </dependency>
878
      <!-- ******* VARIOUS ******* -->
879
      <dependency>
880
        <groupId>xml-resolver</groupId>
881
        <artifactId>xml-resolver</artifactId>
882
        <version>1.2</version>
883
        <!-- checked 2020-08 -->
884
      </dependency>
885
      
886
      <dependency>
887
        <groupId>log4j</groupId>
888
        <artifactId>log4j</artifactId>
889
        <version>1.2.17</version>
890
      </dependency>
891
      <dependency>
892
        <groupId>net.sf.opencsv</groupId>
893
        <artifactId>opencsv</artifactId>
894
        <version>2.3</version>
895
      </dependency>
896
      <dependency>
897
        <groupId>org.osgi</groupId>
898
        <artifactId>osgi.core</artifactId>
899
        <version>7.0.0</version>
900
      </dependency>
901
      <dependency>
902
        <groupId>cglib</groupId>
903
        <artifactId>cglib-nodep</artifactId>
904
        <version>${cglib.version}</version>
905
      </dependency>
906
      <!-- <dependency> -->
907
      <!-- we try to have only dependencies to cglib-nodep to reduce size and to avoid
908
           having 2 similar libraries. #9206  -->
909
<!--         <groupId>cglib</groupId> -->
910
<!--         <artifactId>cglib</artifactId> -->
911
<!--         <version>${cglib.version}</version> -->
912
<!--       </dependency> -->
913
      <dependency>
914
        <groupId>commons-lang</groupId>
915
        <artifactId>commons-lang</artifactId>
916
        <version>2.6</version>
917
      </dependency>
918
      <dependency>
919
        <groupId>org.apache.commons</groupId>
920
        <artifactId>commons-lang3</artifactId>
921
        <version>3.11</version>
922
      </dependency>
923
      <dependency>
924
        <groupId>commons-collections</groupId>
925
        <artifactId>commons-collections</artifactId>
926
        <version>3.2.2</version>
927
      </dependency>
928
      <dependency>
929
        <groupId>org.apache.httpcomponents</groupId>
930
        <artifactId>httpclient</artifactId>
931
        <version>${httpcomponents.version}</version>
932
      </dependency>
933
      <dependency>
934
        <groupId>org.apache.httpcomponents</groupId>
935
        <artifactId>httpcore</artifactId>
936
        <version>4.4.13</version>
937
      </dependency>
938
      <dependency>
939
        <groupId>commons-io</groupId>
940
        <artifactId>commons-io</artifactId>
941
        <version>2.7</version>
942
      </dependency>
943
      <dependency>
944
          <groupId>org.apache.commons</groupId>
945
          <artifactId>commons-compress</artifactId>
946
          <version>1.20</version>
947
      </dependency>
948
      <dependency>
949
          <groupId>org.checkerframework</groupId>
950
          <artifactId>checker-qual</artifactId>
951
          <version>3.6.0</version>
952
      </dependency>
953
      <!-- only for version management, poi currently requires 1.6, commons-logging 
954
        1.1.1 requires 1.6, so we update here to the latest version -->
955
      <dependency>
956
        <groupId>commons-codec</groupId>
957
        <artifactId>commons-codec</artifactId>
958
        <version>1.14</version>
959
      </dependency>
960
      <!-- only for version management, httpcore:4.2.4, commons-beanutils:1.8.3, 
961
        commons-collections:3.2.1 currently require 1.1.1 , httpclient:4.2.3, spring-modules-cache 
962
        require 1.1 and batik-ext requires 1.0.4, so we update here to the latest 
963
        version 1.1.2, poi and springframework require 1.1.3 -->
964
      <dependency>
965
        <groupId>commons-logging</groupId>
966
        <artifactId>commons-logging</artifactId>
967
        <version>${commons-logging.version}</version>
968
      </dependency>
969
      <!-- only for version management, hibernate-commons-annotations:4.0.1.Final 
970
        requires 3.1.0.CR2 , so we update 
971
        here to the latest version 3.4.1.Final -->
972
      <dependency>
973
        <groupId>org.jboss.logging</groupId>
974
        <artifactId>jboss-logging</artifactId>
975
        <version>3.4.1.Final</version>
976
        <!-- checked 2020-08 -->
977
      </dependency>
978
          <dependency>
979
            <!-- since hibernate 5.0.4 Dialect throws exception if jta is missing  -->
980
        <groupId>javax.transaction</groupId>
981
        <artifactId>jta</artifactId>
982
        <version>1.1</version>
983
      </dependency>  
984
                
985
      <!-- TODO xerces xmlParserAPIs duplicates many classes from jre and 
986
        xml-apis. It is a dependency that comes with xom:xom -->
987
      <dependency>
988
        <groupId>org.apache.jena</groupId>
989
        <artifactId>jena-tdb</artifactId>
990
        <version>1.1.2</version>
991
      </dependency>
992

993
      <dependency>
994
        <groupId>net.sf.ezmorph</groupId>
995
        <artifactId>ezmorph</artifactId>
996
        <version>1.0.6</version>
997
      </dependency>
998
      <dependency>
999
        <groupId>commons-beanutils</groupId>
1000
        <artifactId>commons-beanutils</artifactId>
1001
        <version>1.9.4</version>
1002
      </dependency>
1003
      <dependency>
1004
        <groupId>net.sf.json-lib</groupId>
1005
        <artifactId>json-lib</artifactId>
1006
        <version>2.4</version>
1007
        <classifier>jdk15</classifier>
1008
      </dependency>
1009
      <!-- media  -->
1010
      <dependency>
1011
        <groupId>org.devlib.schmidt</groupId>
1012
        <artifactId>imageinfo</artifactId>
1013
        <version>1.9</version>
1014
      </dependency>
1015
       <dependency>
1016
        <groupId>de.digitalcollections.iiif</groupId>
1017
        <artifactId>iiif-apis</artifactId>
1018
        <version>0.3.8</version>
1019
      </dependency>
1020
<!--       <dependency> -->
1021
<!--         only for version management iterators depends in different versions from -->
1022
<!--               de.digitalcollections.iiif:iiif-apis:0.3.7 -->
1023
<!--               <groupId>org.dmfs</groupId> -->
1024
<!--               <artifactId>iterators</artifactId> -->
1025
<!--               <version>1.5</version> -->
1026
<!--       </dependency> -->
1027
      <!--         -->
1028
      <dependency>
1029
        <groupId>org.apache.poi</groupId>
1030
        <artifactId>poi</artifactId>
1031
        <version>${poi.version}</version>
1032
      </dependency>
1033
      <dependency>
1034
        <groupId>org.apache.poi</groupId>
1035
        <artifactId>poi-ooxml-schemas</artifactId>
1036
        <version>${poi.version}</version>
1037
      </dependency>
1038
      <dependency>
1039
        <groupId>org.apache.poi</groupId>
1040
        <artifactId>poi-ooxml</artifactId>
1041
        <version>${poi.version}</version>
1042
      </dependency>
1043
      <dependency>
1044
        <groupId>org.apache.poi</groupId>
1045
        <artifactId>ooxml-schemas</artifactId>
1046
        <version>1.4</version>
1047
      </dependency>
1048
      <!--       <dependency> -->
1049
<!-- maybe needed in cdmlib-io, see https://poi.apache.org/help/faq.html  question 3 on when to use ooxml-schemas and when poi-ooxml-schemas  -->
1050
<!--         <groupId>org.apache.poi</groupId> -->
1051
<!--         <artifactId>ooxml-schemas</artifactId> -->
1052
<!--         <version>1.4</version> -->
1053
<!--       </dependency> -->
1054
      <dependency>
1055
             <!-- only for version management xmlbeans depends in different versions from 
1056
        org.apache.poi:poi-ooxml-schemas:3.13 and org.apache.poi:ooxml-schemas:1.4 -->
1057
              <groupId>org.apache.xmlbeans</groupId>
1058
              <artifactId>xmlbeans</artifactId>
1059
              <version>3.1.0</version>
1060
        <!-- checked 2020-08 -->
1061
      </dependency>
1062
      <dependency>
1063
        <groupId>org.docx4j</groupId>
1064
        <artifactId>docx4j</artifactId>
1065
        <version>6.1.2</version>
1066
      </dependency>
1067
      <dependency>
1068
        <!-- only for version management jcl-over-slf4j depends in different versions from 
1069
        org.docx4j:docx4j:6.0.1 and org.apache.jena:jjena-tdb:1.1.2 -->
1070
        <groupId>org.slf4j</groupId>
1071
        <artifactId>jcl-over-slf4j</artifactId>
1072
        <version>1.7.25</version>
1073
      </dependency>
1074
      <dependency>
1075
        <!-- only for version management xalan depends in different versions from 
1076
        org.docx4j:docx4j:6.0.1 and xom:xom:1.2.5 -->
1077
              <groupId>xalan</groupId>
1078
              <artifactId>xalan</artifactId>
1079
              <version>2.7.2</version>
1080
      </dependency>
1081
      <dependency>
1082
        <!-- only for version management org.apache.xmlgraphics:xmlgraphics-commons depends in different versions from 
1083
        org.docx4j:docx4j:6.0.1 and org.apache.xmlgraphics:fop:1.1 -->
1084
              <groupId>org.apache.xmlgraphics</groupId>
1085
              <artifactId>xmlgraphics-commons</artifactId>
1086
              <version>2.4</version>
1087
      </dependency>
1088
      <dependency>
1089
        <groupId>org.apache.commons</groupId>
1090
        <artifactId>commons-imaging</artifactId>
1091
        <version>1.0-alpha2</version>
1092
      </dependency>
1093
      <!-- joda-time -->
1094
      <dependency>
1095
        <groupId>joda-time</groupId>
1096
        <artifactId>joda-time</artifactId>
1097
        <version>2.10.6</version>
1098
      </dependency>
1099
          <!-- maybe replaced by usertype.core -->
1100
      <dependency>
1101
        <groupId>org.jadira.usertype</groupId>
1102
        <artifactId>usertype.jodatime</artifactId>
1103
        <version>2.0.1</version>
1104
      </dependency>
1105
      <dependency>
1106
        <groupId>org.apache.lucene</groupId>
1107
        <artifactId>lucene-core</artifactId>
1108
        <version>${lucene.version}</version>
1109
      </dependency>
1110
          <dependency>
1111
                <groupId>org.apache.lucene</groupId>
1112
                <artifactId>lucene-suggest</artifactId>
1113
                <version>${lucene.version}</version>
1114
          </dependency>
1115
          <dependency>
1116
                <groupId>org.apache.lucene</groupId>
1117
                <artifactId>lucene-analyzers-common</artifactId>
1118
                <version>${lucene.version}</version>
1119
          </dependency>
1120
          <dependency>
1121
        <groupId>org.apache.lucene</groupId>
1122
        <artifactId>lucene-queryparser</artifactId>
1123
        <version>${lucene.version}</version>
1124
      </dependency>
1125
      <dependency>
1126
        <groupId>org.apache.lucene</groupId>
1127
        <artifactId>lucene-highlighter</artifactId>
1128
        <version>${lucene.version}</version>
1129
      </dependency>
1130
      <dependency>
1131
        <groupId>org.apache.lucene</groupId>
1132
        <artifactId>lucene-grouping</artifactId>
1133
        <version>${lucene.version}</version>
1134
      </dependency>
1135
      <dependency>
1136
        <groupId>org.apache.lucene</groupId>
1137
        <artifactId>lucene-join</artifactId>
1138
        <version>${lucene.version}</version>
1139
      </dependency>
1140
      <dependency>
1141
        <groupId>org.apache.lucene</groupId>
1142
        <artifactId>lucene-backward-codecs</artifactId>
1143
        <version>${lucene.version}</version>
1144
      </dependency>
1145
      <dependency>
1146
        <groupId>org.apache.lucene</groupId>
1147
        <artifactId>lucene-misc</artifactId>
1148
        <version>${lucene.version}</version>
1149
      </dependency>
1150
      <dependency>
1151
        <groupId>org.apache.lucene</groupId>
1152
        <artifactId>lucene-facet</artifactId>
1153
        <version>${lucene.version}</version>
1154
      </dependency>
1155
            
1156
      <dependency>
1157
        <groupId>com.ibm.lsid</groupId>
1158
        <artifactId>lsid-client</artifactId>
1159
        <version>1.1.2</version>
1160
      </dependency>
1161
      <dependency>
1162
        <groupId>com.ibm.lsid</groupId>
1163
        <artifactId>lsid-server</artifactId>
1164
        <version>1.1.2</version>
1165
      </dependency>
1166
      <dependency>
1167
        <groupId>wsdl4j</groupId>
1168
        <artifactId>wsdl4j</artifactId>
1169
        <version>1.6.3</version>
1170
      </dependency>
1171
      <dependency>
1172
        <groupId>net.sf.dozer</groupId>
1173
        <artifactId>dozer</artifactId>
1174
        <version>5.3.0</version>
1175
      </dependency>
1176
      <dependency>
1177
        <groupId>net.sf.ehcache</groupId>
1178
        <artifactId>ehcache</artifactId>
1179
        <version>2.10.6</version>
1180
      </dependency>
1181
      <!-- ******* XML ******* -->
1182
      <dependency>
1183
        <groupId>xml-apis</groupId>
1184
        <artifactId>xml-apis</artifactId>
1185
        <!-- 
1186
            WARNING: do not upgrade to later versions 2.0.x of xml-apis
1187
            since these are effectivly reloaded to the early beta version
1188
            1.0.b2
1189
        -->
1190
        <version>1.4.01</version>
1191
      </dependency>
1192
      <dependency>
1193
        <groupId>xerces</groupId>
1194
        <artifactId>xercesImpl</artifactId>
1195
        <version>2.12.0</version>
1196
        <!-- checked 2020-08 -->
1197
      </dependency>
1198
      <!-- >batik-ext required by Xerces 2.11.0 for class ElementTraversal, 
1199
        as this is not included anymore in xml-apis 2.x -->
1200
<!--       <dependency> -->
1201
<!--         <groupId>org.apache.xmlgraphics</groupId> -->
1202
<!--         <artifactId>batik-ext</artifactId> -->
1203
<!--         <version>1.13</version> -->
1204
<!--       </dependency> -->
1205
      <dependency> <!-- required by cdmlib-print -->
1206
        <groupId>org.apache.xmlgraphics</groupId>
1207
        <artifactId>fop</artifactId>
1208
        <version>2.5</version>
1209
      </dependency>
1210
      <dependency>
1211
        <groupId>org.odftoolkit</groupId>
1212
        <artifactId>odfdom-java</artifactId>
1213
        <version>0.8.7</version>
1214
      </dependency>
1215
      <dependency>
1216
          <!-- used in eu.etaxonomy.cdm.io.markup and for swagger -->
1217
          <groupId>com.google.guava</groupId>
1218
          <artifactId>guava</artifactId>
1219
          <version>29.0-jre</version>
1220
      </dependency>
1221
      <!-- last jdom 1.x version -->
1222
          <dependency>
1223
        <groupId>org.jdom</groupId>
1224
        <artifactId>jdom</artifactId>
1225
        <version>1.1.3</version>
1226
      </dependency>
1227
          <!-- jdom2 may exist in parallel to jdom(1) as it uses a different package structure -->
1228
          <dependency>
1229
                 <groupId>org.jdom</groupId>
1230
                 <artifactId>jdom2</artifactId>
1231
                 <version>2.0.6</version>
1232
          </dependency>
1233
      <dependency>
1234
        <groupId>com.thoughtworks.xstream</groupId>
1235
        <artifactId>xstream</artifactId>
1236
        <version>1.4.12</version>
1237
      </dependency>
1238
      <dependency>
1239
      <groupId>xmlpull</groupId>
1240
        <artifactId>xmlpull</artifactId>
1241
        <version>1.2.0</version>
1242
      </dependency>
1243
      <dependency>
1244
        <groupId>xpp3</groupId>
1245
        <artifactId>xpp3</artifactId>
1246
        <version>1.1.4c</version>
1247
      </dependency>
1248
      <dependency>
1249
        <groupId>stax</groupId>
1250
        <artifactId>stax</artifactId>
1251
        <version>1.2.0</version>
1252
      </dependency>
1253
      <dependency>
1254
        <groupId>xom</groupId>
1255
        <artifactId>xom</artifactId>
1256
        <version>1.3.5</version>
1257
        <exclusions>
1258
          <!-- need to exclude com.ibm.icu:icu4j since it contains an invalid 
1259
            file which causes the jetty-maven-plugin to fail see http://stackoverflow.com/questions/3026956/javassist-failure-in-hibernate-invalid-constant-type-60 -->
1260
          <exclusion>
1261
            <groupId>com.ibm.icu</groupId>
1262
            <artifactId>icu4j</artifactId>
1263
          </exclusion>
1264
        </exclusions>
1265
      </dependency>
1266
      <!-- ******* SAXON (ViBRANT)******* -->
1267
      <dependency>
1268
        <groupId>net.sf.saxon</groupId>
1269
        <artifactId>Saxon-HE</artifactId>
1270
        <version>10.1</version>
1271
      </dependency>
1272
      <!-- ******* http components (ViBRANT)******* -->
1273
      <dependency>
1274
        <groupId>org.apache.httpcomponents</groupId>
1275
        <artifactId>httpmime</artifactId>
1276
        <version>${httpcomponents.version}</version>
1277
      </dependency>
1278
      <!-- ***** json ******************** -->
1279
      <dependency>
1280
        <groupId>org.json</groupId>
1281
        <artifactId>json</artifactId>
1282
        <version>20200518</version>
1283
      </dependency>
1284
      <!-- ******* HIBERNATE / EJB3 ******* -->
1285
      <dependency>
1286
        <groupId>org.hibernate.javax.persistence</groupId>
1287
        <artifactId>hibernate-jpa-2.1-api</artifactId>
1288
        <version>1.0.2.Final</version>
1289
      </dependency>
1290
      <dependency>
1291
        <groupId>org.hibernate</groupId>
1292
        <artifactId>hibernate-core</artifactId>
1293
        <version>${hibernate.version}</version>
1294
      </dependency>
1295
      <dependency>
1296
        <groupId>org.hibernate</groupId>
1297
        <artifactId>hibernate-entitymanager</artifactId>
1298
        <version>${hibernate.version}</version>
1299
      </dependency>
1300
      <dependency>
1301
        <groupId>org.hibernate</groupId>
1302
        <artifactId>hibernate-envers</artifactId>
1303
        <version>${hibernate.version}</version>
1304
      </dependency>
1305
      <dependency>
1306
        <groupId>org.hibernate</groupId>
1307
        <artifactId>hibernate-c3p0</artifactId>
1308
        <version>${hibernate.version}</version>
1309
      </dependency>
1310
      <dependency>
1311
        <groupId>com.mchange</groupId>
1312
        <artifactId>c3p0</artifactId>
1313
        <!-- 
1314
          IMPORTANT!!!
1315
          when changing the version of this artifact, the 
1316
          version in cdm-server pom.xml must be changed 
1317
          the same otherwise db connections through jndi 
1318
          will not work!
1319
                  NOTE: not so critical anymore as we use cdmlib-db
1320
                  now for both projects
1321
        -->
1322
        <version>0.9.5.2</version>
1323
      </dependency>
1324
      <dependency>
1325
        <groupId>org.hibernate.common</groupId>
1326
        <artifactId>hibernate-commons-annotations</artifactId>
1327
        <version>5.1.0.Final</version>
1328
      </dependency>
1329
      <dependency>
1330
        <groupId>org.hibernate</groupId>
1331
        <artifactId>hibernate-search-orm</artifactId>
1332
        <version>${hibernate-search.version}</version>
1333
      </dependency>
1334
      <dependency>
1335
        <groupId>org.hibernate</groupId>
1336
        <artifactId>hibernate-search-engine</artifactId>
1337
        <version>${hibernate-search.version}</version>
1338
      </dependency>
1339
      <dependency>
1340
        <groupId>org.javassist</groupId>
1341
        <artifactId>javassist</artifactId>
1342
        <version>3.27.0-GA</version>
1343
      </dependency>
1344

1345
      <!-- ******* SPRING ******* -->
1346
      <dependency>
1347
        <groupId>org.springframework</groupId>
1348
        <artifactId>spring-core</artifactId>
1349
        <version>${spring.version}</version>
1350
      </dependency>
1351
      <dependency>
1352
        <groupId>org.springframework</groupId>
1353
        <artifactId>spring-context</artifactId>
1354
        <version>${spring.version}</version>
1355
      </dependency>
1356
      <dependency>
1357
        <groupId>org.springframework</groupId>
1358
        <artifactId>spring-beans</artifactId>
1359
        <version>${spring.version}</version>
1360
      </dependency>
1361
      <dependency>
1362
        <groupId>org.springframework</groupId>
1363
        <artifactId>spring-orm</artifactId>
1364
        <version>${spring.version}</version>
1365
      </dependency>
1366
      <dependency>
1367
        <groupId>org.springframework</groupId>
1368
        <artifactId>spring-jdbc</artifactId>
1369
        <version>${spring.version}</version>
1370
      </dependency>
1371
      <dependency>
1372
        <groupId>org.springframework</groupId>
1373
        <artifactId>spring-tx</artifactId>
1374
        <version>${spring.version}</version>
1375
      </dependency>
1376
      <dependency>
1377
        <groupId>org.springframework</groupId>
1378
        <artifactId>spring-test</artifactId>
1379
        <version>${spring.version}</version>
1380
      </dependency>
1381
      <dependency>
1382
        <groupId>org.springframework</groupId>
1383
        <artifactId>spring-web</artifactId>
1384
        <version>${spring.version}</version>
1385
      </dependency>
1386
          <dependency>
1387
              <groupId>org.springframework</groupId>
1388
        <artifactId>spring-webmvc</artifactId>
1389
        <version>${spring.version}</version>
1390
      </dependency>
1391
      <dependency>
1392
        <groupId>org.springframework</groupId>
1393
        <artifactId>spring-aop</artifactId>
1394
        <version>${spring.version}</version>
1395
      </dependency>
1396
      <dependency>
1397
        <groupId>org.springframework</groupId>
1398
        <artifactId>spring-aspects</artifactId>
1399
        <version>${spring.version}</version>
1400
      </dependency>
1401
      <dependency>
1402
        <groupId>org.springframework</groupId>
1403
        <artifactId>spring-expression</artifactId>
1404
        <version>${spring.version}</version>
1405
      </dependency>
1406
      <dependency>
1407
        <groupId>org.springframework</groupId>
1408
        <artifactId>spring-context-support</artifactId>
1409
        <version>${spring.version}</version>
1410
      </dependency>
1411
      <dependency>
1412
        <groupId>org.springframework</groupId>
1413
        <artifactId>spring-oxm</artifactId>
1414
        <version>${spring.version}</version>
1415
      </dependency>
1416
      <dependency>
1417
        <groupId>org.springframework.security</groupId>
1418
        <artifactId>spring-security-core</artifactId>
1419
        <version>${spring-security.version}</version>
1420
      </dependency>
1421
      <dependency>
1422
        <groupId>org.springframework.security</groupId>
1423
        <artifactId>spring-security-config</artifactId>
1424
        <version>${spring-security.version}</version>
1425
      </dependency>
1426
      <dependency>
1427
        <groupId>org.springframework.security</groupId>
1428
        <artifactId>spring-security-web</artifactId>
1429
        <version>${spring-security.version}</version>
1430
      </dependency>
1431
      <dependency>
1432
        <groupId>org.springframework.security.oauth</groupId>
1433
        <artifactId>spring-security-oauth2</artifactId>
1434
        <version>${spring-security-oauth2.version}</version>
1435
      </dependency>
1436
      <dependency>
1437
        <groupId>org.springframework.cloud</groupId>
1438
        <artifactId>spring-cloud-security</artifactId>
1439
        <version>${spring-security.version}</version>
1440
      </dependency>
1441
      <dependency>
1442
        <!-- required by spring security core, but not needed anymore in spring security 5.x  -->
1443
        <groupId>aopalliance</groupId>
1444
        <artifactId>aopalliance</artifactId>
1445
        <version>1.0</version>
1446
      </dependency>
1447

1448
      <!-- ******* SERVLET/JSP/JSF ******* -->
1449
      <dependency>
1450
        <groupId>javax.servlet</groupId>
1451
        <artifactId>javax.servlet-api</artifactId>
1452
        <version>4.0.1</version>
1453
        <!-- checked 2020-08 -->
1454
      </dependency>
1455

1456
      <!-- yourkit profiler api controller (used in ..) -->
1457
      <dependency>
1458
        <groupId>com.yourkit</groupId>
1459
        <artifactId>yjp-controller-api-redist</artifactId>
1460
        <version>2015-build-15086</version>
1461
        <scope>test</scope>
1462
      </dependency>
1463
      <!-- For Validation -->
1464
      <dependency>
1465
        <groupId>javax.validation</groupId>
1466
        <artifactId>validation-api</artifactId>
1467
        <version>2.0.1.Final</version>
1468
        <!-- checked 2020-08 -->
1469
      </dependency>
1470
      <dependency>
1471
        <groupId>org.hibernate.validator</groupId>
1472
        <artifactId>hibernate-validator</artifactId>
1473
        <version>${hibernate-validator.version}</version>
1474
      </dependency>
1475
      <dependency>
1476
        <groupId>com.fasterxml</groupId>
1477
        <artifactId>classmate</artifactId>
1478
        <version>1.5.1</version>     
1479
        <!-- checked 2020-08 -->
1480
      </dependency>
1481
          <dependency>
1482
        <groupId>javax.el</groupId>
1483
        <artifactId>javax.el-api</artifactId>
1484
        <version>3.0.0</version>
1485
        <!-- checked 2020-08 -->
1486
          </dependency>
1487
      <dependency>
1488
          <groupId>jakarta.validation</groupId>
1489
          <artifactId>jakarta.validation-api</artifactId>
1490
          <version>3.0.0</version>
1491
          <!-- checked 2020-08 -->
1492
      </dependency>
1493
          <dependency>
1494
                 <groupId>org.glassfish.web</groupId>
1495
                 <artifactId>javax.el</artifactId>
1496
                 <version>2.2.6</version>
1497
          </dependency>
1498
          <dependency>
1499
             <groupId>org.hibernate.validator</groupId>
1500
         <artifactId>hibernate-validator-cdi</artifactId>
1501
         <version>${hibernate-validator.version}</version>
1502
          </dependency>
1503
      <dependency>
1504
         <!-- not clear if needed, but if needed v8.0 should be used to avoid problems with javax.validation.BootstrapConfiguration -->
1505
         <!-- it was a (currently excluded) transitiv dependency from org.geotools/gt-referencing  used in cdmlib-ext -->
1506
         <groupId>javax</groupId>
1507
         <artifactId>javaee-api</artifactId>
1508
         <version>8.0.1</version>
1509
      </dependency>
1510
          
1511
      <!-- for ikey-plus -->
1512
      <dependency>
1513
        <groupId>identificationKeyAPI</groupId>
1514
        <artifactId>identificationKeyAPI</artifactId>
1515
        <version>1.0</version>   <!-- was <version>1.0-SNAPSHOT</version> -->
1516
      </dependency>
1517
      <dependency>
1518
        <groupId>com.itextpdf</groupId>
1519
        <artifactId>itextpdf</artifactId>
1520
        <version>5.5.13.1</version>
1521
        <scope>compile</scope>
1522
      </dependency>
1523
      <!-- AptView -->
1524
      <dependency>
1525
        <groupId>org.apache.maven.doxia</groupId>
1526
        <artifactId>doxia-module-apt</artifactId>
1527
        <version>${doxia.version}</version>
1528
      </dependency>
1529
      <dependency>
1530
        <groupId>org.apache.maven.doxia</groupId>
1531
        <artifactId>doxia-module-xhtml</artifactId>
1532
        <version>${doxia.version}</version>
1533
      </dependency>
1534
      <dependency>
1535
        <!-- managing version of plexus-utils to avoid multiple versions (3.0.15, 1.4.5) of the artifact -->
1536
              <groupId>org.codehaus.plexus</groupId>
1537
              <artifactId>plexus-utils</artifactId>
1538
              <version>3.3.0</version>
1539
        <!-- checked 2020-08 -->
1540
      </dependency>
1541
      <!-- swagger (rest service doc) -->
1542
      <dependency>
1543
        <groupId>io.swagger</groupId>
1544
        <artifactId>swagger-annotations</artifactId>
1545
        <!-- should match the springfox-swagger2 depends on -->
1546
        <version>1.5.10</version>
1547
      </dependency>
1548

1549
      <!-- dependencies for swagger-springmvc, added explicitely -->
1550
      <dependency>
1551
        <groupId>com.fasterxml.jackson.core</groupId>
1552
        <artifactId>jackson-databind</artifactId>
1553
        <version>${jackson.version}</version>
1554
      </dependency>
1555
      <dependency>
1556
        <groupId>com.fasterxml.jackson.core</groupId>
1557
        <artifactId>jackson-core</artifactId>
1558
        <version>${jackson.version}</version>
1559
      </dependency>
1560
      <dependency>
1561
        <groupId>com.fasterxml.jackson.core</groupId>
1562
        <artifactId>jackson-annotations</artifactId>
1563
        <version>${jackson.version}</version>
1564
      </dependency> 
1565
      <!-- END of dependencies for swagger-springmvc, added explicitely -->
1566
      <dependency>
1567
        <groupId>io.springfox</groupId>
1568
        <artifactId>springfox-swagger2</artifactId>
1569
        <version>2.6.1</version>
1570
      </dependency>
1571
      
1572
      <!-- ******* DATABASES DRIVER ******* -->
1573
      <dependency>
1574
        <groupId>mysql</groupId>
1575
        <artifactId>mysql-connector-java</artifactId>
1576
        <version>8.0.21</version>
1577
      </dependency>
1578
      <dependency>
1579
        <groupId>org.mariadb.jdbc</groupId>
1580
        <artifactId>mariadb-java-client</artifactId>
1581
        <version>2.6.2</version>
1582
      </dependency>
1583
      <dependency>
1584
         <groupId>org.postgresql</groupId>
1585
         <artifactId>postgresql</artifactId>
1586
         <version>42.2.15</version>
1587
      </dependency>
1588
          <dependency>
1589
        <groupId>com.h2database</groupId>
1590
        <artifactId>h2</artifactId>
1591
        <version>1.4.190</version>
1592
      </dependency>
1593
      <!-- SQL Server -->
1594
      <dependency>
1595
        <groupId>com.microsoft.sqlserver</groupId>
1596
        <artifactId>mssql-jdbc</artifactId>
1597
        <version>8.4.1.jre8</version>
1598
      </dependency>
1599
          <dependency>
1600
        <groupId>org.hsqldb</groupId>
1601
        <artifactId>hsqldb</artifactId>
1602
        <version>${hsqldb.version}</version>
1603
      </dependency>
1604
      <dependency>
1605
        <!-- SQL Server and Sybase -->
1606
        <groupId>net.sourceforge.jtds</groupId>
1607
        <artifactId>jtds</artifactId>
1608
        <version>1.3.1</version>
1609
      </dependency>
1610
      <dependency>
1611
        <groupId>oracle</groupId>
1612
        <artifactId>ojdbc14</artifactId>
1613
        <version>10.2.0.4.0</version>
1614
      </dependency>
1615
      <!--    <dependency>
1616
        <groupId>ojdbc</groupId>
1617
        <artifactId>ojdbc</artifactId>
1618
        <version>14</version>
1619
        </dependency>   -->      
1620
      <dependency>
1621
        <groupId>com.taskadapter</groupId>
1622
        <artifactId>redmine-java-api</artifactId>
1623
        <version>3.1.0</version>
1624
      </dependency>
1625
      <!-- GIS/KML -->
1626
          <dependency>
1627
             <groupId>de.micromata.jak</groupId>
1628
             <artifactId>JavaAPIforKml</artifactId>
1629
             <version>2.2.1</version>
1630
          </dependency>
1631
          <dependency>
1632
            <groupId>org.geotools</groupId>
1633
            <artifactId>gt-opengis</artifactId>
1634
            <version>${geotools.version}</version>
1635
          </dependency>
1636
          <dependency>
1637
            <groupId>org.geotools</groupId>
1638
            <artifactId>gt-referencing</artifactId>
1639
            <version>${geotools.version}</version>
1640
          </dependency>
1641
          <dependency>
1642
            <groupId>org.geotools</groupId>
1643
            <artifactId>gt-epsg-wkt</artifactId>
1644
            <version>${geotools.version}</version>
1645
          </dependency>
1646
          <dependency>
1647
            <groupId>org.geotools</groupId>
1648
            <artifactId>gt-main</artifactId>
1649
            <version>${geotools.version}</version>
1650
          </dependency>
1651
    
1652
      <dependency>
1653
         <groupId>com.sun</groupId>
1654
         <artifactId>tools</artifactId>
1655
         <version>1.8.0</version>
1656
      </dependency>
1657
   </dependencies>    
1658
  </dependencyManagement>
1659
</project>
1660
Add picture from clipboard (Maximum size: 40 MB)